
#include <stdio.h>
#include <string.h>


#include "mpatch.h"


int main(int argc, char *argv[])
{
 short r,i;
 char diffile[256];
 char oldfile[256];
 char newfile[256];
 struct MDF_header_info hi;

 puts("SAMPLE - A simply *.MDF applier");
 puts("(C) 1993/94 Maurizio Giunti");

 if((argc<2)||(argc>4))
	{
	 puts("Usage: SAMPLE <mdf> [<old>] [<new>]");
	 return 0;
	}

 *diffile='\0';
 *oldfile='\0';
 *newfile='\0';

 for(i=1;i<argc;i++)
	{
	 if(*diffile=='\0') strcpy(diffile,argv[i]);
	 else if(*oldfile=='\0') strcpy(oldfile,argv[i]);
	 else strcpy(newfile,argv[i]);
	}


 // Getting info from MDF file
 i=readMDFhead(diffile,&hi);
 switch(i)
	{
	 case 0:
	 puts("MDF file not found !");
	 return 0;

	 case -1:
	 puts("Not an MDF file !");
	 return 0;

	 case -2:
	 puts("Wrong MDF version !");
	 return 0;
	}
 printf("Algorithm version: %s\n",hi.alg_ver);
 printf("MDF file produced by: %s\n",hi.registeredto);
 printf("Chunk len: %d  Number of chunks: %lu\n",hi.chunk_len,hi.n_chunks);


 // Start applying patch
 if((r=MDFPatch(diffile,oldfile,newfile))!=0)
	{
	 puts(MDFError(r));
	}
 else puts("<Done!>");
 return 0;
}




